#require: libnspr, libnss, pam

Summary: KDM plugin for custom authentications, specially with PAM modules
Name: kgreet_nss
Version: 0.5
Release: 1
Copyright: Custom
Group: KDE Plugins
Source: kgreet_nss-0.5.tar.gz
BuildRoot:  %{_tmppath}/%{name}-buildroot

# definicoes para construcao no conectiva 
# %define kdedir     /usr/lib/kde3 
# %define kdenss     kde-nss

# definicoes para construcao no mandrake
%define kdedir     /usr
%define kdenss     kde3-nss

# definicoes para construcao no fedora 
# %define kdedir  /usr
# %define kdenss  kde-nss

%define plugindir  %{kdedir}/lib/kde3/
%define kdmrc      %{kdedir}/share/config/kdm/kdmrc 
%define pamdir     %{_sysconfdir}/pam.d

%description
KDM plugin for custom authentications, specially with PAM modules

%prep
%setup

%build
#./configure --prefix=%{kdedir} CXXFLAGS="-DDEBUG_GREET" 
./configure --prefix=%{kdedir}
make

%install
rm -rf %{buildroot}
#rm -rf $RPM_BUILD_ROOT
make  DESTDIR=$RPM_BUILD_ROOT install

mkdir -p %{buildroot}%{pamdir}
cp kde-nss %{buildroot}%{pamdir}/%{kdenss}

%post
#configuring kdmrc
kdmrc=%{kdmrc}
tmp="/tmp/greeter.$$.tmp"
if [ -w $kdmrc ]; then
    str=`grep ^PluginsLogin $kdmrc`;
    if [ -z "$str" ]; then
        sed -e 's/\(\[X-\*-Greeter\]\)/\1\nPluginsLogin=nss/' $kdmrc > $tmp
        rm $kdmrc
        mv $tmp $kdmrc

    else
        sed -e 's/PluginsLogin.*/PluginsLogin=nss/' $kdmrc > $tmp
        rm $kdmrc
        mv $tmp $kdmrc
    fi
fi

%postun
#removing configuration
kdmrc=%{kdmrc}
tmp="/tmp/greeter.$$.tmp"
if [ -w $kdmrc ]; then
    str=`grep "^PluginsLogin=nss" $kdmrc`;
    if [ ! -z "$str" ]; then
        #sed -e 's/^PluginsLogin=nss/#PluginsLogin=nss/' $kdmrc > $tmp
        sed -e '/^PluginsLogin=nss/d' $kdmrc > $tmp
        rm $kdmrc
        mv $tmp $kdmrc
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755, root, root)
%{plugindir}/kgreet_nss.so
%{plugindir}/kgreet_nss.la
%defattr(644, root, root)
%{pamdir}/%{kdenss}
